org.apache.xmlgraphics.image.loader.impl

## Class ImageConverterBitmap2G2D

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.xmlgraphics.image.loader.impl.ImageConverterBitmap2G2D

- All Implemented Interfaces:
    ImageConverter

      public class ImageConverterBitmap2G2D
      extends AbstractImageConverter

  This ImageConverter wraps a bitmap image in a Graphics2D image.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

      `MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageConverterBitmap2G2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Image` | `convert(Image src, java.util.Map hints)` Converts an image into a different representation.
    `ImageFlavor` | `getSourceFlavor()` Returns the flavor that this converter expects.
    `ImageFlavor` | `getTargetFlavor()` Returns the flavor that this converter converts images into.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

      `checkSourceFlavor, getConversionPenalty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageConverterBitmap2G2D

          public ImageConverterBitmap2G2D()

  - ### Method Detail

    - #### convert

          public Image convert(Image src,
                               java.util.Map hints)

      Converts an image into a different representation.

      Consumers can get the effective MIME type (if any) from the associated `ImageFlavor`.

      Parameters:
        `src` - the source image
        `hints` - the conversion hints
      Returns:
        the converted image

    - #### getSourceFlavor

          public ImageFlavor getSourceFlavor()

      Returns the flavor that this converter expects.
      Returns:
        the source flavor

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the flavor that this converter converts images into.
      Returns:
        the target flavor

Copyright 1999-2023 The Apache Software Foundation. All Rights Reserved.